package com.eyinfo.eyflutter_notifications.subscribe;

import android.content.Context;
import android.content.IntentFilter;

import com.basic.eyflutter_core.channel.OnDistributionSubscribe;
import com.eyinfo.eyflutter_notifications.ScheduledNotificationBootReceiver;

import java.util.HashMap;

import io.flutter.plugin.common.MethodChannel;

public class RegisterRescheduleNotificationsSubscribe extends OnDistributionSubscribe {

    private Context applicationContext;

    public RegisterRescheduleNotificationsSubscribe(Context applicationContext) {
        this.applicationContext = applicationContext;
    }

    @Override
    public void onSubscribe(MethodChannel.Result result, HashMap<String, Object> arguments) {
        ScheduledNotificationBootReceiver receiver = new ScheduledNotificationBootReceiver();
        IntentFilter filter = new IntentFilter();
        filter.addAction("android.intent.action.BOOT_COMPLETED");
        filter.addAction("android.intent.action.MY_PACKAGE_REPLACED");
        filter.addAction("android.intent.action.QUICKBOOT_POWERON");
        filter.addAction("com.htc.intent.action.QUICKBOOT_POWERON");
        applicationContext.registerReceiver(receiver, filter);
        result.success("");
    }
}
