package com.eyinfo.eyflutter_notifications;

import android.content.Context;

import com.basic.eyflutter_core.channel.ChannelPlugin;
import com.eyinfo.eyflutter_notifications.subscribe.RegisterRescheduleNotificationsSubscribe;

import io.flutter.embedding.engine.plugins.FlutterPlugin;

public class EyflutterNotificationsPlugin implements FlutterPlugin {
    @Override
    public void onAttachedToEngine(FlutterPluginBinding binding) {
        Context applicationContext = binding.getApplicationContext();
        ChannelPlugin.getInstance().putSubscribe(NotificationsConstants.rescheduleNotifications, new RegisterRescheduleNotificationsSubscribe(applicationContext));
    }

    @Override
    public void onDetachedFromEngine(FlutterPluginBinding binding) {
        ChannelPlugin.getInstance().removeSubScribe(NotificationsConstants.rescheduleNotifications);
    }
}
